Bug 1207726 - Update dnf and yum packages for proposed dnf default change
Update dnf and yum packages for proposed dnf default change
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F22BetaBlocker
  Show dependency treegraph
 
Reported: 2015-03-31 10:54 EDT by Parag Nemade
Modified: 2015-04-06 14:49 EDT (History)
10 users (show)

See Also:
Fixed In Version: dnf-plugins-extras-0.0.6-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-06 14:49:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2015-03-31 10:54:12 EDT
Description of problem:

As part of http://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF Change and FESCo approved plan https://fedorahosted.org/fesco/ticket/1312#comment:36 , We need the proposed changes in dnf and yum packages to be available in Fedora 22 Beta release. Hence filing this bug for it.
Comment 1 Orion Poplawski 2015-03-31 11:41:40 EDT
I'm assuming that it is an incomplete implementation of this that is causing:

---> Package yum.noarch 0:3.4.3-505.fc23 will be an update
--> Processing Dependency: dnf-yum for package: yum-3.4.3-505.fc23.noarch
--> Processing Conflict: dnf-yum-0.6.4-2.fc23.noarch conflicts yum
--> Finished Dependency Resolution
Error: dnf-yum conflicts with yum-3.4.3-505.fc23.noarch

The change page indicates: package 'dnf-yum' is installed by default. It obsoletes Yum and provides its own /usr/bin/yum

Looks like it is conflicting rather than obsoleting.
Comment 2 Parag Nemade 2015-03-31 12:11:10 EDT
It is fixed in upstream spec but not yet built in dnf.
Comment 3 Honza Silhan 2015-03-31 14:28:57 EDT
Precisely we're talking about:
hawkey-0.5.4-1.fc22 (DNF requirement)
dnf-0.6.5-1.fc22 (dnf-yum compat package does not conflict with yum)
yum-3.4.3-505.fc22 (renamed binary to yum-depracated)
yum-utils-1.1.31-505.fc22 (prints warnings about yum being obsolete)
dnf-plugins-extras-0.0.6-2.fc22 (dnf plugin for importing package, groups and translation history metadata from yum to dnf)

Updates:
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.6-2.fc22?_csrf_token=542a5ce4db166640bc77984fb4e41146179d589f
https://admin.fedoraproject.org/updates/hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22?_csrf_token=542a5ce4db166640bc77984fb4e41146179d589f
https://admin.fedoraproject.org/updates/yum-3.4.3-505.fc22?_csrf_token=542a5ce4db166640bc77984fb4e41146179d589f
https://admin.fedoraproject.org/updates/yum-utils-1.1.31-505.fc22?_csrf_token=542a5ce4db166640bc77984fb4e41146179d589f

Thanks
Comment 4 joerg.lechner 2015-04-01 05:12:28 EDT
In F22 Workstation Beta TC6 x86_64 I found the following after updating to the current modules:

[root@linux joerg]# yum update
Abhängigkeiten werden aufgelöst
--> Transaktionsprüfung wird ausgeführt
---> Paket dnf-yum.noarch 0:0.6.4-2.fc22 markiert, um installiert zu werden
--> Konflikt wird verarbeitet: dnf-yum-0.6.4-2.fc22.noarch kollidiert mit yum
--> Abhängigkeitsauflösung beendet
Fehler: dnf-yum conflicts with yum-3.4.3-155.fc22.noarch

Possibly this is already known via the previous comments.
Comment 5 Radek Holy 2015-04-01 05:15:48 EDT
See bug 1208026.
Comment 6 Adam Williamson 2015-04-02 22:01:42 EDT
If all those packages go together, they really should be all one update. Splitting them into four updates makes it far too likely some will get pushed without the others.
Comment 7 Adam Williamson 2015-04-02 22:03:12 EDT
Marking as an AcceptedBlocker per the automatic blocker policy:

https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers

"Bugs designated as blockers by FESCo"
Comment 8 Parag Nemade 2015-04-03 00:13:24 EDT
If all packages should go into one update then its better to delete yum, yum-utils and dnf-plugins-extras updates and their builds be added to "dnf,hawkey" update.
Comment 9 Fedora Update System 2015-04-03 07:39:16 EDT
dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22
Comment 10 Fedora Update System 2015-04-04 12:32:08 EDT
Package dnf-plugins-extras-0.0.6-2.fc22, yum-3.4.3-505.fc22, dnf-0.6.5-1.fc22, yum-utils-1.1.31-505.fc22, hawkey-0.5.4-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-extras-0.0.6-2.fc22 yum-3.4.3-505.fc22 dnf-0.6.5-1.fc22 yum-utils-1.1.31-505.fc22 hawkey-0.5.4-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5527/dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2015-04-06 14:49:03 EDT
dnf-plugins-extras-0.0.6-2.fc22, yum-3.4.3-505.fc22, dnf-0.6.5-1.fc22, yum-utils-1.1.31-505.fc22, hawkey-0.5.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.